# dmd.entity

Defines the named entities to support the "\&Entity;" escape sequence for strings / character literals.

#### Discussion

Specification Named Character Entities

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: entity.d

Documentation: https://dlang.org/phobos/dmd_entity.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/entity.d

- `HtmlNamedEntity`

  #### Declaration

  `pure nothrow @nogc @safe uint[2] `HtmlNamedEntity`(scope const char[] `name`);`

  See if ``name`` is an HTML Named Entity

  #### Parameters

  `char[] `name`` | `name` of the entity

  #### Return Value

  code point corresponding to the named entity ~0 for not recognized as a named entity